# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Test/More.pm) perl(Text/ANSITable.pm)
# END SourceDeps(oneline)
%define module_name Text-ANSITable-SQLStyleSheet
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Pretty tables with SQL-generated styles
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BJ/BJOERN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
When you frequently look at report tables from SQL queries in your
terminal and wish for a little bit of extra style, this module
allows you to specify styles as (part of) SQL queries.

You can do this either quick and dirty in your data queries, or by
letting this module store your data temporarily in an in-memory 
SQLite database before your "style sheet" is applied.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Sat Feb 09 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

